#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		locver	4.0
#-----------------------------------------------------------------------------
Name		:	bcunit
Version		:	5.3.11
Release		:	17.0.10.rel%{?dist}
Summary		:	A unit testing framework for 'C'
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/BelledonneCommunications/bcunit

Source0		:	%{name}-%{version}.tar.gz


#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
BCUnit is a unit testing framework for C.
This package installs the BCUnit static library,
headers, and documentation files.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libbcunit.a

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/BCUnit/*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/BCUnit/BCUnit-*
%{_datadir}/BCUnit/Memory-Dump.*
%{_datadir}/BCUnit/cmake/BCUnit*.cmake

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B _bld						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_DOCDIR=%{_defaultdocdir}	\
	-D ENABLE_AUTOMATED=yes				\
	-D ENABLE_BASIC=yes				\
	-D ENABLE_CONSOLE=yes				\
	-D ENABLE_CURSES=OFF				\
	-D ENABLE_DOC=ON				\
	-D ENABLE_EXAMPLES=OFF				\
	-D ENABLE_STATIC=OFF				\
	-D ENABLE_TEST=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C _bld						\
	DESTDIR=%{buildroot}				\
	install

#moving doc
#%{__mv}							\
#	%{buildroot}%{_defaultdocdir}/BCUnit		\
#	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#-----------------------------------------------------------------------------
%changelog
